%define Name	OCSNG
%define subversion RC1
%define order   71
%define tarserver %{Name}_LINUX_SERVER
%define taragent %{Name}_LINUX_AGENT
%define serverdir %{name}-linux-server
%define agentdir %{name}-linux-agent
%define _requires_exceptions pear(dbconfig.inc.php)\\|pear(composants.php)\\|pear(dico.php)

Summary:	Open computer and software inventory
Name:		ocsng
Version:	1.0
Release:	%mkrel 0.3
License:	GPL
Group:		System/Servers
URL:		http://ocsinventory.sourceforge.net/
Source0:	%{taragent}_1.0-RC1.tar.gz	
Source1:	%{tarserver}_1.0-RC1.tar.gz
Source2:	%{tarserver}_PATCH_1.0-RC1-1.tar.gz
Source3:	OCS_Inventory_NG-Installation_and_Administration_Guide_1.3_EN.pdf.zip
Source4:	ipdiscover.c
Source5:	README.urpmi.client
Source6:	README.urpmi.server
Source7:	ocsng-server-rotate
Source8:	README.ipdiscover
Patch0:		ocsng-client.pl.patch
Patch1:		apache_config.patch
Patch2:		ocsinventory-installer.pl.patch
Patch3:		ipdiscover-util.patch
Patch4:		ocsng-client-rotate.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Contains documentation, agent, server and ipdiscover for OCS-Inventory

%package	linux-agent
Summary:	Linux agent for OCSNG
Group:		System/Servers
Requires:	dmidecode >= 2.6

%description	linux-agent
Linux agent for ocs-inventory. Dialog between client computers and management
server is based on actual standards, HTTP protocol and XML data formatting.

%package	linux-server
Summary:	Linux server for OCSNG
Group:		System/Servers
Requires(pre): apache-conf > 2.0.54-5mdk
Requires(pre): apache-base > 2.0.54-5mdk
Requires(pre): apache-mpm >= 2.0.54-5mdk
Requires:	apache-mod_php php-mysql php-xml php-zip apache-mod_perl

%description	linux-server
Linux server for ocs-inventory. Inventoried client computers 
can run Microsoft Windows 95/98/Me/NT4/2000/XP/2003 or 
Linux operating systems. Used with a parc management software 
such as GLPI, you will have a powerful inventory and parc 
management software with automatic updates of computer 
configuration, license management, help desk and more.

%package	linux-server-ipdiscover
Summary:	Linux server for OCSNG
Group:		System/Servers
Requires:	ocsng-linux-server
Requires:	samba-client
Requires:	nmap

%description	linux-server-ipdiscover
ipdiscover util for ocs-inventory server. It can scan 
network to look for uninventoried material.

%package	doc
Summary:	Documentation for OCSNG
Group:		System/Servers

%description doc
Documentation for ocs-inventory

%prep

%setup -q -T -c
%setup -q -T -a 1 -D -c
%setup -q -T -a 2 -D -c
%setup -q -T -a 3 -D -c
%setup -q -T -b 0 -D -c
%patch0 -p0 
%patch1 -p0 
%patch2 -p0
%patch3 -p0
%patch4 -p0

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%__cc %SOURCE4 -o ipdiscover

%install
rm -rf  %{buildroot}

# linux agent
pushd %{taragent}_%{version}-%{subversion}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%_defaultdocdir/%{agentdir}-%{version}
install -d %{buildroot}%{_sysconfdir}/ocsinventory-client
install -d %{buildroot}%{_sysconfdir}/logrotate.d

install -m 755 ../ipdiscover %{buildroot}%{_sbindir}
install -m 644 %{SOURCE8} %{buildroot}%_defaultdocdir/linux-server-ipdiscover-%{version}
install -m 755 ocsinventory-client.pl %{buildroot}/%{_sbindir}
install -m 755 ocsinventory-installer.pl %{buildroot}%{_sbindir}
install -d -m 755 require %{buildroot}%{_datadir}/%{agentdir}-%{version}
install -m 644 changelogs %{buildroot}%_defaultdocdir/%{agentdir}-%{version}
install -m 644 README %{buildroot}%_defaultdocdir/%{agentdir}-%{version}
install -m 644 %{SOURCE5} %{buildroot}%_defaultdocdir/%{agentdir}-%{version}/README.urpmi

### for ghost logrotate file (created by install script)
touch %{buildroot}%{_sysconfdir}/logrotate.d/ocsng-linux-agent

popd
# end of linux agent

# linux server
pushd %{tarserver}_%{version}-%{subversion}

install -d -m 755 %{buildroot}%{_var}/www/cgi-bin
install -d -m 755 %{buildroot}%{_datadir}/%{serverdir}-%{version}
install -d %{buildroot}%_defaultdocdir/%{serverdir}-%{version}

cp -r ocsreports %{buildroot}%{_var}/www
chmod 644 %{buildroot}%{_var}/www/ocsreports/ocsbase.sql
chmod 755 %{buildroot}%{_var}/www/ocsreports/files/OcsAgent.exe
perl -pi -e 's|(^use lib).*|$1 "%{_datadir}/%{serverdir}-%{version}";|' ocsinventory-NG/Ocsinventory_startup.pl
install -m 755  ocsinventory-NG/Ocsinventory_startup.pl  %{buildroot}%{_var}/www/cgi-bin
install -m 644 ocsinventory-NG/ocs-errors %{buildroot}%{_datadir}/%{serverdir}-%{version}
install -m 755 ocsinventory-NG/Ocsinventory_local.pl %{buildroot}%{_datadir}/%{serverdir}-%{version}
install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/ocsng-linux-server
install -m 644 %{SOURCE6} %{buildroot}%_defaultdocdir/%{serverdir}-%{version}/README.urpmi

### server logs
install -d -m 755 %{buildroot}%_var/log/ocsinventory-NG

### use mod_perl version > 1.999
install -m 755 Ocsinventory.pm_4_mp_since_1.999_22/Ocsinventory.pm %{buildroot}%{_datadir}/%{serverdir}-%{version}
install -m 644 ocsinventory-NG/changelogs %{buildroot}%_defaultdocdir/%{serverdir}-%{version}
install -m 644 ocsinventory-NG/INSTALL %{buildroot}%_defaultdocdir/%{serverdir}-%{version}

### Apache configuration for linux server
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat ocsinventory-NG/apache_config > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{order}_%{name}.conf

### ipdiscover for ocs server
install -m 755 ipdiscover-util/ipdiscover-util.pl %{buildroot}%{_sbindir}
install -m 644 ipdiscover-util/README %{buildroot}%_defaultdocdir/%{serverdir}-%{version}/

popd

# end of linux server

# ocsng documentation
install -d 755 %{buildroot}%_defaultdocdir/%{name}-%{version}
install -m 644 OCS_Inventory_NG-Installation_and_Administration_Guide_1.3_EN.pdf %{buildroot}%_defaultdocdir/%{name}-%{version}

%posttrans
%_post_webapp

%post
# needed for ocsng-linux-server (500 Internal Server Error otherwise)
# need to be corrected
touch %_var/log/ocsinventory-NG/ocsinventory-NG.log
chown apache:apache %_var/log/ocsinventory-NG/ocsinventory-NG.log
chmod 640 %_var/log/ocsinventory-NG/ocsinventory-NG.log

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files doc
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}-%{version}

%files linux-server
%defattr(-,root,root)
%attr(-,apache,apache) %{_var}/www/ocsreports
%{_var}/www/cgi-bin/Ocsinventory_startup.pl
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{order}_%{name}.conf
%attr(-,apache,apache) %{_var}/log/ocsinventory-NG
%{_datadir}/%{serverdir}-%{version}
%_defaultdocdir/%{serverdir}-%{version}
%config(noreplace) %{_sysconfdir}/logrotate.d/ocsng-linux-server
%{_sbindir}/ipdiscover-util.pl

%files linux-server-ipdiscover
%defattr(-,root,root)
%{_sbindir}/ipdiscover
%_defaultdocdir/linux-server-ipdiscover-%{version}

%files linux-agent
%defattr(-,root,root)
%{_sbindir}/ipdiscover
%{_sbindir}/ocsinventory-installer.pl
%{_sbindir}/ocsinventory-client.pl
%_defaultdocdir/%{agentdir}-%{version}
%{_sysconfdir}/ocsinventory-client
%ghost %{_sysconfdir}/logrotate.d/ocsng-linux-agent




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-0.3mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.3mdv2008.0
+ Revision: 43837
- fix deps


* Tue Mar 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.2mdv2007.1
+ Revision: 148929
- fix #24014

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Import ocsng

* Sun Feb 05 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0-9.1mdk
- initial release

